Skip to main content
`Ctrl`+`K`

# PEPGetConvergedReason

Gets the reason why the `PEPSolve()` iteration was stopped.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetConvergedReason(PEP pep,PEPConvergedReason *reason)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- reason - negative value indicates diverged, positive value converged, see `PEPConvergedReason` for the possible values

## Options Database Key

- -pep_converged_reason - print reason for convergence/divergence, and number of iterations

## Note

If this routine is called before or doing the `PEPSolve()` the value of `PEP_CONVERGED_ITERATING` is returned.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetTolerances()`, `PEPSolve()`, `PEPConvergedReason`

## Level

intermediate

## Location

src/pep/interface/pepsolve.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages